﻿using UnityEngine;
using System.Collections;

public class FlyForwardScript : MonoBehaviour 
{
	public float velocityPS = 15.0f;
	
	GameObject gameLogicAnchor = null;
	GameLogicScript gameLogicScript = null;

	void Start ()
	{
		gameLogicAnchor = GameObject.Find("GameLogicAnchor");
		if(gameLogicAnchor == null)
		{
			return;
		}
		gameLogicScript = gameLogicAnchor.GetComponent<GameLogicScript>();
	}

	void Update () 
	{
		if(gameLogicScript == null)
		{
			return;
		}

		if(gameLogicScript.isPaused || gameLogicScript.isLevelEnded || gameLogicScript.isGameOver)
		{
			return;
		}

		Vector3 transformForward = this.gameObject.transform.localPosition;

		float modifier = gameLogicScript.GetCurrentWaveModifier();

		transformForward += this.gameObject.transform.forward * ((velocityPS * modifier) * Time.deltaTime);

		this.gameObject.transform.localPosition = transformForward; 	
	}
}
