﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class TitleMenuLogicScript : MonoBehaviour 
{
	public Text hiscoreText;

	GameObject persistentLogicAnchor = null;
	PersistentLogicScript persistentLogicScript = null;

	void Start ()
	{
		persistentLogicAnchor = GameObject.Find("PersistentLogicAnchor");
		if(persistentLogicAnchor == null)
		{
			Application.LoadLevel("Start");
			return;
		}
		persistentLogicScript = persistentLogicAnchor.GetComponent<PersistentLogicScript>();
	}

	void Update ()
	{
		if(persistentLogicScript == null)
		{
			return;
		}

		UpdateHiscoreText();
	}

	public void OnClickStartButton ()
	{
		persistentLogicScript.RestartGame();
		persistentLogicScript.LoadLevelForWave();
	}

	public void OnClickConitnueButton ()
	{
		persistentLogicScript.LoadLevelForWave();
	}

	public void OnClickQuitButton ()
	{
		persistentLogicScript.ExitGame();
	}

	public void UpdateHiscoreText() 
	{
		hiscoreText.text = "Hiscore: " + persistentLogicScript.hiscore.ToString();
	}
}
